Bug 675009 - Review Request: c3p0 - JDBC DataSources/Resource Pools
Review Request: c3p0 - JDBC DataSources/Resource Pools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Spike
Fedora Extras Quality Assurance
:
Depends On: 674082
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 17:00 EST by Mat Booth
Modified: 2011-08-16 17:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 17:20:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
SpikeFedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mat Booth 2011-02-03 17:00:24 EST
Spec URL: http://mbooth.fedorapeople.org/reviews/c3p0.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/c3p0-0.9.2-0.2.pre1.fc14.src.rpm
Description: 
c3p0 is an easy-to-use library for augmenting traditional JDBC drivers with JNDI-bindable DataSources, including DataSources that implement Connection and Statement Pooling, as described by the jdbc3 spec and jdbc2 standard extension.


This package depends on mchange-commons, please build and install that first. See bug 674028 for the mchange-commons review request.
Comment 1 Mat Booth 2011-02-03 17:55:28 EST
Err, oops, mchange-commons is at bug 674082
Comment 2 Spike 2011-04-14 20:25:17 EDT
Maven depmap fragment, please :)
Since upstream doesn't provide a pom.xml -> http://repo1.maven.org/maven2/
Comment 3 Sebastian Dziallas 2011-04-17 21:59:52 EDT
I'm confused -- this package is using ant, not maven from what I can see. Can you clarify?
Comment 4 Spike 2011-04-18 02:06:14 EDT
Sure, have a look at
https://fedoraproject.org/wiki/Packaging:Java#Maven_pom.xml_files_and_depmaps

Even if you build it with ant, other packages might want do use c3p0 with maven. So to prevent that every package that depends on c3p0 needs its own custom depmap (or an entry in common-poms), you provide the depmap fragment yourself.
Comment 6 Spike 2011-04-26 10:15:19 EDT
Thanks. But you also have to include jpackage-utils as R in post and postun according to http://fedoraproject.org/wiki/Java/JPPMavenReadme
You can also skip the clean section and remove the 'rm -rf %{buildroot}' from %install.
And you're missing the license file in the javadoc subpackage -> http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing
Comment 7 Mat Booth 2011-04-30 05:53:19 EDT
(In reply to comment #6)
> You can also skip the clean section and remove the 'rm -rf %{buildroot}' from
> %install.

Sebastian, do we have a need for this package on EPEL, or are we interested in Fedora only?
Comment 8 Alexander Kurtakov 2011-06-03 05:35:56 EDT
Mat, Could we get this package finished?
It is blocking other work.
Comment 9 Mat Booth 2011-06-07 04:55:42 EDT
Sure, I will make assumption that we don't care about EPEL.
Comment 10 Mat Booth 2011-06-11 10:11:33 EDT
New SRPM with all the changes suggested so far:

Spec URL: http://mbooth.fedorapeople.org/reviews/c3p0.spec
SRPM URL:
http://mbooth.fedorapeople.org/reviews/c3p0-0.9.2-0.4.pre1.fc14.src.rpm
Comment 11 Levente Farkas 2011-07-07 15:41:28 EDT
i really like to see it in epel too:-)
Comment 12 Spike 2011-07-10 16:42:38 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
c3p0.noarch: E: incorrect-fsf-address /usr/share/doc/c3p0-0.9.2/LICENSE
c3p0-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/c3p0-javadoc-0.9.2/LICENSE

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 396ccb35b2b4450ec1339511990fb383
MD5SUM upstream package: 396ccb35b2b4450ec1339511990fb383
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[!]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_to_maven_depmap call which resolves to the pom file (use "JPP." and "JPP-" correctly)

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i386


=== Issues ===
1. Remove defattr
2. Where did you get the pom file? Could you please add the source to the comment?

=== Final Notes ===
Maybe you could have a quick look at https://fedoraproject.org/w/index.php?title=User:Akurtakov/JavaPackagingDraftUpdate and
1. update the "add to maven depmap"-macro call
2. change the files section to
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

3. skip post and postun

Of course, it would be nice if upstream fixed their LICENSE file. You could file a bug :)
Comment 13 Mat Booth 2011-07-28 12:56:12 EDT
Upstream is quite unresponsive so getting them to fix the licence would be hard :-(
Comment 14 Mat Booth 2011-07-28 13:06:04 EDT
Also, I could be wrong but I don't think the new java macros are in F15? I'd like this package to be in F15.
Comment 15 Mat Booth 2011-07-28 13:11:21 EDT
(In reply to comment #14)
> Also, I could be wrong but I don't think the new java macros are in F15? I'd
> like this package to be in F15.

Oh wait, ignore that. It was in updates-testing. :-)
Comment 16 Mat Booth 2011-07-28 13:19:40 EDT
New SRPM with all the changes suggested so far:

Spec URL: http://mbooth.fedorapeople.org/reviews/c3p0.spec
SRPM URL: http://mbooth.fedorapeople.org/reviews/c3p0-0.9.2-0.5.pre1.fc14.src.rpm
Comment 17 Spike 2011-07-28 15:28:58 EDT
Just for for the record, the SRPM link is dead. I guess it should be
http://mbooth.fedorapeople.org/reviews/c3p0-0.9.2-0.5.pre1.fc15.src.rpm

Apart from that, beautiful. Thanks a lot.

================
*** APPROVED ***
================
Comment 18 Mat Booth 2011-07-28 19:35:37 EDT
(In reply to comment #17)
> Just for for the record, the SRPM link is dead. I guess it should be
> http://mbooth.fedorapeople.org/reviews/c3p0-0.9.2-0.5.pre1.fc15.src.rpm
> 
> Apart from that, beautiful. Thanks a lot.
> 
> ================
> *** APPROVED ***
> ================

Oops, yes. Copy/pasta error.

Thanks for finishing the review. :-)


New Package SCM Request
=======================
Package Name: c3p0
Short Description: JDBC DataSources/Resource Pools
Owners: java-sig
Branches: f15 f16
InitialCC:
Comment 19 Mat Booth 2011-07-28 19:41:40 EDT
Or rather:

New Package SCM Request
=======================
Package Name: c3p0
Short Description: JDBC DataSources/Resource Pools
Owners: mbooth
Branches: f15 f16
InitialCC: java-sig
Comment 20 Gwyn Ciesla 2011-07-29 08:02:06 EDT
Is this name ok from a legal perspective?  CCing Spot, can you have a look, please?
Comment 21 Tom "spot" Callaway 2011-07-29 10:14:03 EDT
Looks okay, I don't see any trademarks in the same field. Lifting FE-Legal.
Comment 22 Gwyn Ciesla 2011-07-29 10:25:33 EDT
Thanks, better safe than sorry.  I'm setting the cvs flag again.
Comment 23 Gwyn Ciesla 2011-07-29 10:26:34 EDT
Git done (by process-git-requests).
Comment 24 Fedora Update System 2011-07-29 12:52:22 EDT
c3p0-0.9.2-0.5.pre1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/c3p0-0.9.2-0.5.pre1.fc16
Comment 25 Fedora Update System 2011-08-01 16:17:34 EDT
c3p0-0.9.2-0.5.pre1.fc16 has been pushed to the Fedora 16 testing repository.

Note You need to log in before you can comment on or make changes to this bug.